<?php

defined('IN_WEB') or die('Include Error!');
define("PRODUCTION_SERVER", true); //是否产品

$config['sid'] = 1;
$config['lang'] = 'tl';
$config['dbindex'] = 'crazygod_';//数据库前缀
$config['dbsrvindex'] = 'gh_games.';//数据库前缀
$config['dbpokelog'] = 'pokerlog';//牌局日志库前缀
$config['dbmoneylog'] = 'moneylog';//金币日志库前缀
$config['dbdiamondlog'] = 'diamondlog';//钻石日志库前缀
$config['dbsrvtablecfg'] = 'tablecfg';//srv桌子配置
$config['gameUrl'] = '';//游戏地址
$config['facebookUrl'] = 'https://apps.facebook.com/nineketest';
$config['facebookAppid'] = "458312474533498";
$config['facebookAppsecret'] = "64de972064b42b27cc6a60e7138464b3";
$config['paykey'] = "^&*^sangong!@#^*(";
$config['paysid'] = 13;
$config['payappid'][0] = 1113;
$config['payappid'][1] = 1113;//facebook 帐号
$config['payappid'][2] = 1112;//游客
$config['paypmode'] = 450;
$config['payCnHost'] = 'http://pay.boyaa.com/api/payorder_sync.php?';//payCnHost是统一支付接口地址
$config['nsqAddress'] = ["172.22.108.6:4150","172.22.108.7:4150","172.22.108.8:4150"];
//websocket长连接节点列表
//$config['workerservers'] = ['172.22.107.67', '172.22.107.72', '172.22.107.75', '172.22.107.86', '172.22.107.87'];
$config['workerservers'] = ['172.22.107.67'];//, '172.22.107.72', '172.22.107.75', '172.22.107.86'

##MYSQL##
$config['db_common'] = array(array('rm-0xi79de2clzcgkf2g.mysql.rds.aliyuncs.com:3306', 'aroot', 'ekkodG039jtckmw99', ''));//通用的
$config['db_api'] = array(array('rm-0xi79de2clzcgkf2g.mysql.rds.aliyuncs.com:3306', 'aroot', 'ekkodG039jtckmw99', ''));//api
$config['db_account'] = array(array('rm-0xi79de2clzcgkf2g.mysql.rds.aliyuncs.com:3306', 'aroot', 'ekkodG039jtckmw99', ''));//账号有关
$config['db_achievement'] = array(array('rm-0xi79de2clzcgkf2g.mysql.rds.aliyuncs.com:3306', 'aroot', 'ekkodG039jtckmw99', ''));//成就有关
$config['db_activity'] = array(array('rm-0xi79de2clzcgkf2g.mysql.rds.aliyuncs.com:3306', 'aroot', 'ekkodG039jtckmw99',''));//活動有关
$config['db_cardinfo'] = array(array('rm-0xi79de2clzcgkf2g.mysql.rds.aliyuncs.com:3306', 'aroot', 'ekkodG039jtckmw99',''));//卡片相关
$config['db_config'] = array(array('rm-0xi79de2clzcgkf2g.mysql.rds.aliyuncs.com:3306', 'aroot', 'ekkodG039jtckmw99',''));//配置相关
$config['db_message_log'] = array(array('rm-0xi79de2clzcgkf2g.mysql.rds.aliyuncs.com:3306', 'aroot', 'ekkodG039jtckmw99',''));//消息相关
$config['db_mining'] = array(array('rm-0xi79de2clzcgkf2g.mysql.rds.aliyuncs.com:3306', 'aroot', 'ekkodG039jtckmw99',''));//矿工相关
$config['db_payment'] = array(array('rm-0xi79de2clzcgkf2g.mysql.rds.aliyuncs.com:3306', 'aroot', 'ekkodG039jtckmw99',''));//支付相关
$config['db_userfriends'] = array(array('rm-0xi79de2clzcgkf2g.mysql.rds.aliyuncs.com:3306', 'aroot', 'ekkodG039jtckmw99',''));//好友相关
$config['db_userfriendlog'] = array(array('rm-0xi79de2clzcgkf2g.mysql.rds.aliyuncs.com:3306', 'aroot', 'ekkodG039jtckmw99',''));//好友申请相关
$config['db_usergift'] = array(array('rm-0xi79de2clzcgkf2g.mysql.rds.aliyuncs.com:3306', 'aroot', 'ekkodG039jtckmw99',''));//好友礼物相关
$config['db_userinfo'] = array(array('rm-0xi79de2clzcgkf2g.mysql.rds.aliyuncs.com:3306', 'aroot', 'ekkodG039jtckmw99',''));//用户相关
$config['db_report'] = array(array('rm-0xi79de2clzcgkf2g.mysql.rds.aliyuncs.com:3306', 'aroot', 'ekkodG039jtckmw99',''));//事件相关
$config['db_ghgames'] = array(array('rm-0xi79de2clzcgkf2g.mysql.rds.aliyuncs.com:3306', 'aroot', 'ekkodG039jtckmw99',''));//财产相关
$config['db_userlevel'] = array(array('rm-0xi79de2clzcgkf2g.mysql.rds.aliyuncs.com:3306', 'aroot', 'ekkodG039jtckmw99',''));//玩家等级相关
$config['db_usersysmail'] = array(array('rm-0xi79de2clzcgkf2g.mysql.rds.aliyuncs.com:3306', 'aroot', 'ekkodG039jtckmw99',''));//玩家等级相关
$config['db_usernews'] = array(array('rm-0xi79de2clzcgkf2g.mysql.rds.aliyuncs.com:3306', 'aroot', 'ekkodG039jtckmw99',''));//消息相关
$config['db_property'] = array(array('rm-0xi79de2clzcgkf2g.mysql.rds.aliyuncs.com:3306', 'aroot', 'ekkodG039jtckmw99',''));//玩家财产相关
$config['db_games']= array(array('rm-0xi79de2clzcgkf2g.mysql.rds.aliyuncs.com:3306', 'aroot', 'ekkodG039jtckmw99',''));//兼容cms复制代码导致的异常
$config['db_admin'] = array(array('rm-0xi79de2clzcgkf2g.mysql.rds.aliyuncs.com:3306', 'aroot', 'ekkodG039jtckmw99',''));//admin相关
//管理后台及统计数据库
$config['db_crazygod_log'] = array(array('rm-0xizw8sr051zqta3e.mysql.rds.aliyuncs.com:3306', 'aroot', 'dkeodd0293ngrO90e', 'crazygod_log'));//日志相关
$config['db_api_log'] = array(array('rm-0xizw8sr051zqta3e.mysql.rds.aliyuncs.com:3306', 'aroot', 'dkeodd0293ngrO90e', 'crazygod_api_log'));//api日志
$config['db_log'] = array(array('rm-0xizw8sr051zqta3e.mysql.rds.aliyuncs.com:3306', 'aroot', 'dkeodd0293ngrO90e', 'crazygod_log'));//日志相关
$config['db_statistics'] = array(array('rm-0xizw8sr051zqta3e.mysql.rds.aliyuncs.com:3306', 'aroot', 'dkeodd0293ngrO90e',''));//统计相关
$config['db_cms'] = array(array('rm-0xizw8sr051zqta3e.mysql.rds.aliyuncs.com:3306', 'aroot', 'dkeodd0293ngrO90e',''));//后台相关
$config['db_report'] = array(array('rm-0xizw8sr051zqta3e.mysql.rds.aliyuncs.com:3306', 'aroot', 'dkeodd0293ngrO90e', 'crazygod_roport_statistics'));//数据报表

##Memcache,支持多个分布式(地址,端口)##
$config['memcache'][] = array(array('127.0.0.1', 10211, 100));
$config['chat'][] = array(array('127.0.0.1', 10211, 100));
$config['superkey'][] = array(array('127.0.0.1', 10211, 100));
$config['level'][] = array(array('127.0.0.1', 10211, 100));
$config['usernews'][] = array(array('127.0.0.1', 10211, 100));
$config['userproperty'][] = array(array('127.0.0.1', 10211, 100));
$config['useronline'][] = array(array('127.0.0.1', 10211, 100));
$config['userfriends'][] = array(array('127.0.0.1', 10211, 100));
$config['regrwd'][] = array(array('127.0.0.1', 10211, 100));
$config['userlevel'][] = array(array('127.0.0.1', 10211, 100));
$config['loginreward'][] = array(array('127.0.0.1', 10211, 100));
$config['account'][] = array(array('127.0.0.1', 10211, 100));
$config['friend'][] = array(array('127.0.0.1', 10211, 100));
$config['usermoney'][] = array(array('127.0.0.1', 10211, 100));
$config['t_userinfo'][0][] = array(array('127.0.0.1', 10211, 100));//userinfo
$config['t_userinfo'][1][] = array(array('127.0.0.1', 10211, 100));//userinfo
$config['t_userinfo'][2][] = array(array('127.0.0.1', 10211, 100));//userinfo
$config['broke'][] = array(array('127.0.0.1', 10211, 100));//破产
$config['exchangecode'][] = array(array('127.0.0.1', 10211, 100));//兑换码
$config['task'][] = array(array('127.0.0.1', 10211, 100));//每日任务
$config['achi'][] = array(array('127.0.0.1', 10211, 100));//成就系统
$config['bigwheel'][] = array(array('127.0.0.1', 10211, 100));//大转盘
$config['minfos'][0][] = array(array('127.0.0.1', 10211, 100));//FB玩家信息
$config['minfos'][1][] = array(array('127.0.0.1', 10211, 100));//FB玩家信息
$config['minfos'][2][] = array(array('127.0.0.1', 10211, 100));//FB玩家信息
$config['minfos'][3][] = array(array('127.0.0.1', 10211, 100));//FB玩家信息
$config['minfos'][4][] = array(array('127.0.0.1', 10211, 100));//FB玩家信息
$config['recallreward'][] = array(array('127.0.0.1', 10211, 100));//召唤领奖
$config['invite'][] = array(array('127.0.0.1', 10211, 100));//邀请相关
$config['recall'][] = array(array('127.0.0.1', 10211, 100));//召回相关
##Redis##
//用户热数据
$config['redisUser']     = array('r-0xinmfjpq4j0hqz2eo.redis.rds.aliyuncs.com', 6379,"deodkc0d9jIu8d9"); //用户相关
$config['redisActivity'] = array('r-0xinmfjpq4j0hqz2eo.redis.rds.aliyuncs.com', 6379,"deodkc0d9jIu8d9"); //用户相关
//用户冷数据
$config['redisUserinfo'] = array('r-0xinmfjpq4j0hqz2eo.redis.rds.aliyuncs.com', 6379,"deodkc0d9jIu8d9"); //server存儲玩家信息
$config['redisUsernews'] = array('r-0xinmfjpq4j0hqz2eo.redis.rds.aliyuncs.com', 6379,"deodkc0d9jIu8d9"); //消息相关
$config['redisCommon'] = array('r-0xinmfjpq4j0hqz2eo.redis.rds.aliyuncs.com', 6379,"deodkc0d9jIu8d9"); //公用
$config['redisRecall'] = array('r-0xinmfjpq4j0hqz2eo.redis.rds.aliyuncs.com', 6379,"deodkc0d9jIu8d9"); //召回相关
$config['redisServer'] = array('r-0xinmfjpq4j0hqz2eo.redis.rds.aliyuncs.com', 6379,"deodkc0d9jIu8d9");//系统服务相关
$config['redisGame'] = array('r-0xinmfjpq4j0hqz2eo.redis.rds.aliyuncs.com', 6379,"deodkc0d9jIu8d9");//兼容cms复制代码导致的异常
//落地重要数据
$config['redisUsercache'] = array('r-0xinmfjpq4j0hqz2eo.redis.rds.aliyuncs.com', 6379,"deodkc0d9jIu8d9");//重要落地数据
//流水，日志，统计
$config['redisStatistics'] = array('r-0xicr326g4qr91cmg9.redis.rds.aliyuncs.com', 6379,"dejo9e0IIokeoc"); //流水，日志,游戏统计数据相关，
//配置
$config['redisConfig'] = array('r-0xinmfjpq4j0hqz2eo.redis.rds.aliyuncs.com', 6379,"deodkc0d9jIu8d9"); //配置
$config['redisRank'] = array('r-0xinmfjpq4j0hqz2eo.redis.rds.aliyuncs.com', 6379,"deodkc0d9jIu8d9");//排行榜
$config['redisRobot'] = array('r-0xinmfjpq4j0hqz2eo.redis.rds.aliyuncs.com', 6379,"deodkc0d9jIu8d9"); //机器人

##Server##
$config['MoneyServer'] = array('172.22.107.67', 11061); //存用户金币等重要资料的Server
$config['BroadServer'] = array('172.22.107.67', 11061);
$config['TablecfgServer'] = array('172.22.107.67', 11071); //桌子配置通知
$config['MatchServer_11'] = array('172.22.107.67', 8500); //比赛场相关 level:11
$config['MatchServer_12'] = array('172.22.107.67', 8501); //比赛场相关 level:12
$config['MatchServer_13'] = array('172.22.107.67', 8502); //比赛场相关 level:13
$config['MatchServer_14'] = array('172.22.107.67', 8503); //比赛场相关 level:14
$config['MatchServer_15'] = array('172.22.107.67', 8504); //比赛场相关 level:15
$config['MatchServer_16'] = array('172.22.107.67', 8505); //比赛场相关 level:16
$config['MatchServer_17'] = array('172.22.107.67', 8506); //比赛场相关 level:17

$config['matchClientIpPort'] = '47.74.130.25:7000';//客户端链接比赛场需要的ip和端口

##全局变量---重要##
$config['SITE_COOKIE_DOMAIN'] = 'god.superant.cc';
##动态cdn##
define('SITE_COOKIE_DOMAIN', 'god.superant.cc');

/***********************給login.php返回的參數 Start*********************************/
defined('HTTP_PROTOCOL') or define('HTTP_PROTOCOL', 'http');

##图片地址##
define('GIFT_DOMAIN', HTTP_PROTOCOL . '://' . SITE_COOKIE_DOMAIN . '/gift/');//禮物圖片地址
define('MISSION_DOMAIN', HTTP_PROTOCOL . '://' . SITE_COOKIE_DOMAIN . '/mission/');//任務圖片地址
define('USERICON_DOMAIN', HTTP_PROTOCOL . '://' . SITE_COOKIE_DOMAIN . '/usericon/');//玩家頭像圖片地址
define('VIP_USERICON_DOMAIN', HTTP_PROTOCOL . '://' . SITE_COOKIE_DOMAIN . '/usericon/vip/');//玩家VIP頭像圖片地址
define('BIGWHEEL_DOMAIN', HTTP_PROTOCOL . '://' . SITE_COOKIE_DOMAIN . '/images/bigwheel/');//大转盘圖片地址
define('ACTIVITY_DOMAIN', HTTP_PROTOCOL . '://' . SITE_COOKIE_DOMAIN . '/images/activity/');//活动圖片地址
define('USERUPLOADICON', HTTP_PROTOCOL . '://' . SITE_COOKIE_DOMAIN . '/api/useruploadicon.php');//玩家頭像上傳地址
define('USERFEEDBACK', HTTP_PROTOCOL . '://' . SITE_COOKIE_DOMAIN . '/api/userfeedback.php');//玩家反馈图片上传地址
define('LEVELFILE', HTTP_PROTOCOL . '://' . SITE_COOKIE_DOMAIN . '/json/' . LANG . '/');//等级配置
define('GIFTFILE', HTTP_PROTOCOL . '://' . SITE_COOKIE_DOMAIN . '/json/');//礼物配置
define('MALLGOODSFILE', HTTP_PROTOCOL . '://' . SITE_COOKIE_DOMAIN . '/json/' . LANG . '/');//兑换商城商品配置
define('MALLCOUPONFILE', HTTP_PROTOCOL . '://' . SITE_COOKIE_DOMAIN . '/json/' . LANG . '/');//兑换商城礼品券配置
define('MALL_DOMAIN', HTTP_PROTOCOL . '://' . SITE_COOKIE_DOMAIN . '/mall/');//兑换商品图片地址

/***********************給login.php返回的參數 End*********************************/
define('APP_NAMESPACE', 'ninekepro');
define('FLASH_DOMAIN', 'pclptl9k02-static.boyaagame.com');
define('CDN_DOMAIN', 'pclptl9k02-static.boyaagame.com');

/* 移动直接走http */
define('FLASH_ROOT', HTTP_PROTOCOL . '://' . FLASH_DOMAIN . '/swf/nineke/nineke/');
define('CDN_ROOT', HTTP_PROTOCOL . '://' . CDN_DOMAIN . '/static/nineke/nineke/');
define('FACEBOOK_URL', HTTP_PROTOCOL . '://www.facebook.com/');
define('CANVAS_PAGE', HTTP_PROTOCOL . '://apps.facebook.com/' . APP_NAMESPACE . '/');
define('APPS_URL', HTTP_PROTOCOL . '://' . SITE_COOKIE_DOMAIN . '/');

defined('FACEBOOK_OAUTH') or define('FACEBOOK_OAUTH', 'email,publish_actions');

define('MOBILE_APPS_URL', APPS_URL);
define('MOBILE_FLASH_ROOT', FLASH_ROOT);
define('MOBILE_CDN_ROOT', CDN_ROOT);
/* 设置金钱倍数，每个语言版本金钱倍数可能不一样 */
define('MONEY_TIMES', 1);
defined('POKE_LOG_MOD') or define('POKE_LOG_MOD', 512);
defined('MONEY_LOG_MOD') or define('MONEY_LOG_MOD', 512);

define('MOBILE_DATA_SRC_ANDROID', 1);
define('MOBILE_DATA_SRC_IOS', 2);
define('PLATFORM_SID_ANDROID', 1); /*泰语安卓的sid*/
define('PLATFORM_SID_IOS', 2); /*泰语ios的sid*/
define('BROKE_MONEY_VALUE', 0); //破产金额
